package citac;

/**
 *
 * @author balikm1
 */
public class CitacOkno extends javax.swing.JFrame {

    int cislo = 0;
    
    private javax.swing.JButton btnPricti;
    private javax.swing.JButton btnOdecti;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JTextField txtCislo; 

    /** Creates new form CitacOkno
     */
    public CitacOkno() {
        initComponents();
    }

    /** This method is called from within the constructor to initialize the form.
     */                          
    private void initComponents() {

        btnPricti = new javax.swing.JButton();
        btnOdecti = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        txtCislo = new javax.swing.JTextField();

        // this is necessary to close the application after closing the window
        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        
        setTitle("Čítac");

        // button panel layout
        jPanel1.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 20, 5));

        btnPricti.setText("Pricti");
        btnPricti.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPrictiActionPerformed(evt);
            }
        });
        jPanel1.add(btnPricti);

        btnOdecti.setText("Odecti");
        btnOdecti.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnOdectiActionPerformed(evt);
            }
        });
        jPanel1.add(btnOdecti);

        getContentPane().add(jPanel1, java.awt.BorderLayout.PAGE_END);

        txtCislo.setText("0");
        // custom button size
        txtCislo.setPreferredSize(new java.awt.Dimension(164, 29));
        jPanel2.add(txtCislo);

        getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);

        pack();
    }                        

    private void btnPrictiActionPerformed(java.awt.event.ActionEvent evt) {                                          
        cislo++;
        txtCislo.setText((new Integer(cislo)).toString());
    }                                         

    private void btnOdectiActionPerformed(java.awt.event.ActionEvent evt) {                               
        cislo--;
        txtCislo.setText((new Integer(cislo)).toString());
    }                              

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new CitacOkno().setVisible(true);
            }
        });
    }
}
